#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define size 300

int numof1[size],numof2[size];
char a[size],b[size];
int i,l1,l2;

int sortf(const void *a, const void *b)
{
  return *(int *)a-*(int *)b;
}

int main()
{
  freopen("ancient.in","r",stdin);
	freopen("ancient.out","w",stdout);
  scanf("%s %s",a,b);
	l1=strlen(a);
	l2=strlen(b);
	for(i=0;i<l1;i++)numof1[a[i]]++;
	for(i=0;i<l2;i++)numof2[b[i]]++;
	qsort(numof1,size,sizeof(numof1[0]),sortf);
	qsort(numof2,size,sizeof(numof2[0]),sortf);
	for(i=0;i<size;i++)
		if(numof1[i]!=numof2[i])
		{
		  printf("NO");
			return 0;
		}
	printf("YES");
	return 0;
}